Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class print

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.println
              jason.stdlib.print

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class print

extends println
implements InternalAction

Internal action: `.print`.

Description: used for printing messages to the console where the system is running. It receives any number of parameters, which can be not only strings but also any AgentSpeak term (including variables). Terms are made ground according to the current unifying function before being printed out. No new line is printed after the parameters.

The precise format and output device of the message is defined by the Java logging configuration as defined in the `logging.properties` file in the project directory.

Parameters:

- +arg[0] ... +arg[n] (any term): the terms to be printed out.

Example:

- `.print(1,X,"bla")`: prints out to the console the concatenation of the string representations of the number 1, of the value of variable X, and the string "bla".

See Also:
  `println`, Serialized Form

Constructor Summary
`print()`

Method Summary
`static InternalAction` | `create()`
`protected java.lang.String` | `getNewLine()`

Methods inherited from class jason.stdlib.println
`argsToString, execute`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, getMaxArgs, getMinArgs, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jason.asSemantics.InternalAction
`canBeUsedInContext, execute, prepareArguments, suspendIntention`

Constructor Detail

### print

    public print()

Method Detail

### create

    public static InternalAction create()

### getNewLine

    protected java.lang.String getNewLine()

  Overrides:
    `getNewLine` in class `println`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD